i2p.susi.dns

## Class AddressbookBean

- java.lang.Object
- - i2p.susi.dns.AddressbookBean

- Direct Known Subclasses:
    NamingServiceBean

      public class AddressbookBean
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `action`
    `protected int` | `beginIndex`
    `protected String` | `book`
    `protected LinkedList<String>` | `deletionMarks`
    `protected String` | `destination`
    `protected int` | `endIndex`
    `protected AddressBean[]` | `entries`
    `protected String` | `filter`
    `protected String` | `hostname`
    `protected String` | `lastSerial`
    `protected Properties` | `properties`
    `protected String` | `search`
    `protected String` | `serial`
    `protected static Comparator<AddressBean>` | `sorter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressbookBean()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static String` | `_(String s)` translate
    `protected static String` | `_(String s, Object o)` translate
    `protected static String` | `_(String s, Object o, Object o2)` translate
    `protected String` | `generateLoadMessage()` Format a message about filtered addressbook size, and the number of displayed entries addressbook.jsp catches the case where the whole book is empty.
    `String` | `getAction()`
    `String` | `getBegin()`
    `protected int` | `getBeginInt()`
    `String` | `getBook()`
    `String` | `getDestination()`
    `String` | `getDisplayName()`
    `String` | `getEnd()`
    `protected int` | `getEndInt()`
    `AddressBean[]` | `getEntries()`
    `String` | `getFileName()`
    `String` | `getFilter()`
    `String` | `getHostname()`
    `String` | `getLoadBookMessages()` Load addressbook and apply filter, returning messages about this.
    `String` | `getMessages()` Perform actions, returning messages about this.
    `String` | `getResultBegin()`
    `String` | `getResultEnd()`
    `String` | `getSearch()`
    `String` | `getSerial()`
    `int` | `getTrClass()`
    `boolean` | `isHasFilter()`
    `boolean` | `isIsEmpty()`
    `boolean` | `isMaster()`
    `boolean` | `isNotEmpty()`
    `protected boolean` | `isPrefiltered()` Does the entries map contain only the lookup result, or must we index into it?
    `boolean` | `isPrivate()`
    `boolean` | `isPublished()`
    `boolean` | `isRouter()`
    `protected void` | `loadConfig()`
    `protected static String` | `ngettext(String s, String p, int n)` translate (ngettext) @since 0.8.7
    `protected int` | `resultSize()`
    `void` | `setAction(String action)`
    `void` | `setBegin(String s)`
    `void` | `setBook(String book)`
    `void` | `setDestination(String destination)`
    `void` | `setEnd(String s)`
    `void` | `setFilter(String filter)`
    `void` | `setHostname(String hostname)`
    `void` | `setMarkedForDeletion(String name)`
    `void` | `setResetDeletionMarks(String dummy)`
    `void` | `setSearch(String search)`
    `void` | `setSerial(String serial)`
    `void` | `setTrClass(int trClass)`
    `protected int` | `totalSize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### book

          protected String book

    - #### action

          protected String action

    - #### serial

          protected String serial

    - #### lastSerial

          protected String lastSerial

    - #### filter

          protected String filter

    - #### search

          protected String search

    - #### hostname

          protected String hostname

    - #### destination

          protected String destination

    - #### beginIndex

          protected int beginIndex

    - #### endIndex

          protected int endIndex

    - #### properties

          protected final Properties properties

    - #### deletionMarks

          protected final LinkedList<String> deletionMarks

    - #### sorter

          protected static final Comparator<AddressBean> sorter

    - #### entries

          protected AddressBean[] entries

  - ### Constructor Detail

    - #### AddressbookBean

          public AddressbookBean()

  - ### Method Detail

    - #### getSearch

          public String getSearch()

    - #### setSearch

          public void setSearch(String search)

    - #### isHasFilter

          public boolean isHasFilter()

    - #### setTrClass

          public void setTrClass(int trClass)

    - #### getTrClass

          public int getTrClass()

    - #### isIsEmpty

          public boolean isIsEmpty()

    - #### isNotEmpty

          public boolean isNotEmpty()

    - #### loadConfig

          protected void loadConfig()

    - #### getFileName

          public String getFileName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getEntries

          public AddressBean[] getEntries()

    - #### getAction

          public String getAction()

    - #### setAction

          public void setAction(String action)

    - #### getBook

          public String getBook()

    - #### setBook

          public void setBook(String book)

    - #### getSerial

          public String getSerial()

    - #### setSerial

          public void setSerial(String serial)

    - #### getLoadBookMessages

          public String getLoadBookMessages()

      Load addressbook and apply filter, returning messages about this.

    - #### generateLoadMessage

          protected String generateLoadMessage()

      Format a message about filtered addressbook size, and the number of displayed entries addressbook.jsp catches the case where the whole book is empty.

    - #### getMessages

          public String getMessages()

      Perform actions, returning messages about this.

    - #### getFilter

          public String getFilter()

    - #### isMaster

          public boolean isMaster()

    - #### isRouter

          public boolean isRouter()

    - #### isPublished

          public boolean isPublished()

    - #### isPrivate

          public boolean isPrivate()

    - #### setFilter

          public void setFilter(String filter)

    - #### getDestination

          public String getDestination()

    - #### setDestination

          public void setDestination(String destination)

    - #### getHostname

          public String getHostname()

    - #### setResetDeletionMarks

          public void setResetDeletionMarks(String dummy)

    - #### setMarkedForDeletion

          public void setMarkedForDeletion(String name)

    - #### setHostname

          public void setHostname(String hostname)

    - #### getBeginInt

          protected int getBeginInt()

    - #### getBegin

          public String getBegin()

    - #### getResultBegin

          public String getResultBegin()

      Returns:
        beginning index into results
      Since:
        0.8.7

    - #### setBegin

          public void setBegin(String s)

    - #### getEndInt

          protected int getEndInt()

    - #### getEnd

          public String getEnd()

    - #### getResultEnd

          public String getResultEnd()

      Returns:
        ending index into results
      Since:
        0.8.7

    - #### setEnd

          public void setEnd(String s)

    - #### isPrefiltered

          protected boolean isPrefiltered()

      Does the entries map contain only the lookup result, or must we index into it?
      Since:
        0.8.7

    - #### resultSize

          protected int resultSize()

      Returns:
        the size of the lookup result
      Since:
        0.8.7

    - #### totalSize

          protected int totalSize()

      Returns:
        the total size of the address book
      Since:
        0.8.7

    - #### _

          protected static String _(String s)

      translate

    - #### _

          protected static String _(String s,
                 Object o)

      translate

    - #### _

          protected static String _(String s,
                 Object o,
                 Object o2)

      translate

    - #### ngettext

          protected static String ngettext(String s,
                        String p,
                        int n)

      translate (ngettext) @since 0.8.7